-- name: [CS] Snick the Porcupine
-- description: Snick joins the fray as a character for the "Indie Struggles" Competition! \nSounds by: Tour de Pizza, Ported by Squishy\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

local TEXT_MOD_NAME = "Snick the Porcupine"

local E_MODEL_SNICK = smlua_model_util_get_id("snick_player_geo")

local TEX_SNICK = get_texture_info("snick-icon")

local CAPTABLE_SNICK = {
    normal = smlua_model_util_get_id("snicks_cap_geo"),
    wing = smlua_model_util_get_id("snicks_wing_cap_geo"),
    metal = smlua_model_util_get_id("snicks_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("snicks_winged_metal_cap_geo"),
}

local VOICETABLE_SNICK = {
    [CHAR_SOUND_HOOHOO] = 'sfx_jump.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'sfx_jump.ogg',
    [CHAR_SOUND_WAH2] = 'sfx_jump.ogg',
    [CHAR_SOUND_YAHOO] = 'sfx_jump.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'sfx_jump.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'sfx_jump.ogg',
}

local PALLETE_SNICK = {
[PANTS]  = {r = 0xff, g = 0xff, b = 0xff},
[SHIRT]  = {r = 0x4c, g = 0x2c, b = 0xd3},
[GLOVES] = {r = 0xff, g = 0xff, b = 0xff},
[SHOES]  = {r = 0x68, g = 0x40, b = 0x1b},
[HAIR]   = {r = 0x73, g = 0x06, b = 0x00},
[SKIN]   = {r = 0xfe, g = 0xd5, b = 0xa1},
[CAP]    = {r = 0xff, g = 0x00, b = 0x00},
}

if _G.charSelectExists then
    _G.CT_SNICK = _G.charSelect.character_add("Snick the Porcupine", "Devloper of the titular 'Snick the Porcupine' Series, wich is usually overshadowed by a more well-known hedgehog. ", "MlopsFunny", {r = 97, g = 38, b = 176}, E_MODEL_SNICK, CT_TOAD, TEX_SNICK)

_G.charSelect.character_add_voice(E_MODEL_SNICK, VOICETABLE_SNICK)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)

if _G.charSelect.character_get_voice(m) == VOICETABLE_SNICK then return _G.charSelect.voice.sound(m, sound) end
end)

    hook_event(HOOK_MARIO_UPDATE, function (m)

    if _G.charSelect.character_get_voice(m) == VOICETABLE_SNICK then return _G.charSelect.voice.snore(m) end
end)

_G.charSelect.character_add_caps (E_MODEL_SNICK, CAPTABLE_SNICK)

_G.charSelect.character_add_palette_preset(E_MODEL_SNICK, PALLETE_SNICK)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end